
%global meadversion 4.2.1
%global namedversion 4.2.1.Final-redhat-1
%global meadalpha .Final_redhat_1
%global meadrel .1
%global serial 1

%bcond_without mead
%bcond_with javadoc

%define maven_version 4.2.1.Final-redhat-1

Name: jbossws-native
Summary: JBoss Web Services - Stack Native
Version: %{meadversion}
Release: %{serial}%{meadalpha}%{meadrel}%{?dist}
License:        LGPLv2+
Group: Development/Libraries

%if %with mead
Source100: jbossws-native-4.2.1.Final-redhat-1-scm-sources.zip
Source101: jbossws-native-4.2.1.Final-redhat-1-patches.zip
Source102: jbossws-native-core-4.2.1.Final-redhat-1.pom
Source103: jbossws-native-core-4.2.1.Final-redhat-1.jar
Source104: jbossws-native-core-4.2.1.Final-redhat-1-sources.jar
Source105: jbossws-native-services-4.2.1.Final-redhat-1-sources.jar
Source106: jbossws-native-services-4.2.1.Final-redhat-1.pom
Source107: jbossws-native-services-4.2.1.Final-redhat-1.jar
Source108: jbossws-native-4.2.1.Final-redhat-1-project-sources.tar.gz
Source109: jbossws-native-4.2.1.Final-redhat-1.pom
Source110: jbossws-native-resources-4.2.1.Final-redhat-1-sources.jar
Source111: jbossws-native-resources-4.2.1.Final-redhat-1.pom
Source112: jbossws-native-resources-4.2.1.Final-redhat-1.jar
Source113: jbossws-native-resources-4.2.1.Final-redhat-1-jboss720.jar
%endif


%if %without mead
# svn -q export -r 16841 http://anonsvn.jboss.org/repos/jbossws/stack/native/tags/jbossws-native-4.0.6.GA && tar cjf jbossws-native-4.0.6.GA.tar.bz2 jbossws-native-4.0.6.GA
Source0:   %{name}-%{version}%{?section}.tar.bz2
%endif

BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
BuildArch: noarch

BuildRequires: unzip

Requires:       jpackage-utils
BuildRequires:       jpackage-utils
Requires(post):       jpackage-utils
Requires(postun):     jpackage-utils

%description
JBossWS Native stack

%if %with javadoc
%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

Requires:       jpackage-utils

%description javadoc
Javadoc for %{name}
%endif

%prep

%build

%install
rm -rf %{buildroot}

%{__mkdir_p} %{buildroot}%{_javadir}
%if %with javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/%{name}-%{namedversion}
%endif

for artifactId in \
                 jbossws-native \
                 jbossws-native-core \
                 jbossws-native-resources \
                 jbossws-native-services \
              ; do
#poms
%add_to_maven_depmap org.jboss.ws.native ${artifactId} %{namedversion} JPP ${artifactId}
install -pD -T -m 644 %{_sourcedir}/${artifactId}-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP-${artifactId}.pom

#jars
if [ -e %{_sourcedir}/${artifactId}-%{namedversion}.jar ]; then
  install -pD -T -m 644 %{_sourcedir}/${artifactId}-%{namedversion}.jar %{buildroot}%{_javadir}/${artifactId}-%{namedversion}.jar
  (cd %{buildroot}%{_javadir} && ln -s ${artifactId}-%{namedversion}.jar ${artifactId}.jar)
fi

if [ -e %{_sourcedir}/${artifactId}-%{namedversion}-sources.jar ]; then
  install -pD -T -m 644 %{_sourcedir}/${artifactId}-%{namedversion}-sources.jar %{buildroot}%{_javadir}/${artifactId}-%{namedversion}-sources.jar
  (cd %{buildroot}%{_javadir} && ln -s ${artifactId}-%{namedversion}-sources.jar ${artifactId}-sources.jar)
fi

%if %with javadoc
#javadoc
if [ -e %{_sourcedir}/${artifactId}-%{namedversion}-javadoc.jar ]; then
  install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}/${artifactId}-%{namedversion}
  unzip -d $RPM_BUILD_ROOT%{_javadocdir}/%{name}/${artifactId}-%{namedversion} %{_sourcedir}/${artifactId}-%{namedversion}-javadoc.jar
  rm -rf $RPM_BUILD_ROOT%{_javadocdir}/%{name}/${artifactId}-%{namedversion}/META-INF
fi
%endif

done
%if %with javadoc
%{__ln_s} %{name}-%{namedversion} %{buildroot}%{_javadocdir}/%{name}
%endif

%clean
rm -rf %{buildroot}

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%defattr(0644,root,root,0755)
%{_javadir}*/*jar
%if %with javadoc
%exclude %{_javadocdir}
%endif
%{_datadir}/maven2/poms/*
%{_mavendepmapfragdir}/*

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{namedversion}
%{_javadocdir}/%{name}
%endif

%changelog
* Wed Jun 24 2015 Yong Yang <yyang@redhat.com> - 4.2.1-1.Final_redhat_1.1
- Wrapper 4.2.1.Final

* Wed Jun 24 2015 Yong Yang <yyang@redhat.com> - 4.2.0-2.Final_redhat_1.1
- Wrapper 4.2.1.Final

* Mon Mar 24 2014 Lin Gao <lgao@redhat.com> - 4.2.0-1.Final_redhat_1.1
- Upgrade to 4.2.0.Final

* Thu Oct 24 2013 Hui Wang <huwang@redhat.com> - 4.1.2-1.Final_redhat_1
- Upgrade to 4.1.2.Final

* Sun Feb 17 2013 Hui Wang <huwang@redhat.com> - 4.1.1-1.Final_redhat_1
- Upgrade to 4.1.1.Final

* Thu Oct 11 2012 Fernando Nasser <fnasser@redhat.com> - 4.0.6-1.GA_redhat_1
- Upgrade to 4.0.6.GA

* Wed Sep 19 2012 Fernando Nasser <fnasser@redhat.com> - 4.0.5-2.GA_redhat_1
- Rebuild for MD5

* Thu Aug 30 2012 Hui Wang <huwang@redhat.com> - 4.0.5-1.GA_redhat_1
- Upgrade to 4.0.5.GA

* Sun Aug 12 2012 Fernando Nasser <fnasser@redhat.com> - 4.0.4-5.GA_redhat_2.2
- Rebuild unsigned

* Thu Jul 12 2012 Fernando Nasser <fnasser@redhat.com> - 4.0.4-5.GA_redhat_1.1
- Rebuild using cache signing

* Fri May 25 2012 Fernando Nasser <fnasser@redhat.com> - 0:4.0.4-5.GA_redhat_1
- Remove javadoc JAR from SRPM and disable javadoc subpackage

* Fri May 25 2012 Fernando Nasser <fnasser@redhat.com> - 0:4.0.4-4.GA_redhat_1
- Clean MANIFEST

* Mon May 07 2012 Yong Yang <yyang@redhat.com> - 0:4.0.4-3.GA_redhat_1
- The previous MEAD build did not have any tag

* Sun May 06 2012 Yong Yang <yyang@redhat.com> - 0:4.0.4-2.GA_redhat_1
- Remove artifact jbossws-native-factories and jbossws-native-client because non-JAXRPC things have been removed from jbossws-nativ since 4.0.4

* Fri May 04 2012 Martha Benitez <mbenitez@redhat.com> - 0:4.0.4-1.GA_redhat_1
- Upgrade to 4.0.4.GA-redhat-1

* Mon Mar 26 2012 Martha Benitez <mbenitez@redhat.com> - 0:4.0.3-1.GA_redhat_1.1
- Upgrade to 4.0.3.GA-redhat-1

* Tue Mar 20 2012 Lin Gao <lgao@redhat.com> - 0:4.0.2-1.GA_redhat_1
- Upgrade to 4.0.2.GA

* Fri Mar 16 2012 Lin Gao <lgao@redhat.com> - 0:4.0.1-4.GA_redhat_1
- Use new wrapper
- Change jars install path

* Wed Feb 29 2012 Lin Gao <lgao@redhat.com> - 0:4.0.1-3.GA_redhat_1.1
- Remove neethi dependency

* Wed Feb 29 2012 Lin Gao <lgao@redhat.com> - 0:4.0.1-2.GA_redhat_1.1
- Patch to remove ws-policy from jbossws-native-core

* Wed Feb 22 2012 Fernando Nasser <fnasser@redhat.com> - 0:4.0.1-1.GA_redhat_1.1
- Use neethi, not policy

* Tue Feb 21 2012 Lin Gao <lgao@redhat.com> - 0:4.0.1-1.GA_redhat_1
- Upgrade to 4.0.1.GA
- Requires jpackage-utils in javadoc
- Package more artifacts

* Tue Feb 07 2012 Red Hat Release Engineering <release-engineering@redhat.com> - 4.0.0-6.GA_redhat_1
- Rebuild to use new signing key

* Tue Jan 31 2012 Lin Gao <lgao@redhat.com> - 0:4.0.0-5.GA_redhat_1
- switch to use rhpkg for building
- fill spec file to build rpm format

* Wed Jan 04 2012 Lin Gao <lgao@redhat.com> - 0:4.0.0-4.GA_redhat_1
- Upgrade to 4.0.0.GA

* Thu Dec 08 2011 Lin Gao <lgao@redhat.com> - 0:4.0.0-3.CR2_redhat_1
- Upgrade to 4.0.0.CR2

* Mon Nov 28 2011 Lin Gao <lgao@redhat.com> - 0:4.0.0-2.CR1
- First mead build
- Upgrade to 4.0.0.CR1

* Tue May 24 2011 Fernando Nasser <fnasser@redhat.com> - 0:4.0.0-1
- Placeholder
